package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicRqrmntSourceType {
    public static final String OPEN = "资源开放平台";
    public static final String SHARE = "资源共享平台";
    public static final String BACKSTAGE = "业务管理系统";


    private static DicRqrmntSourceType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRqrmntSourceType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(OPEN, OPEN);
        dicMap.put(SHARE, SHARE);
        dicMap.put(BACKSTAGE, BACKSTAGE);
    }

    public static DicRqrmntSourceType getInstacne(){
        if (instance == null)
        {
            instance = new DicRqrmntSourceType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}

